﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Diagnostics;

namespace PivotTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            InitializePivotViewer();
        }

        private void InitializePivotViewer()
        {
            string url = null;
            if (!App.Current.Host.InitParams.TryGetValue("COLLECTION_URL", out url))
            {
                Debug.WriteLine("Error: Failed to get COLLECTION_URL from object params");
                return;
            }

            _pivotViewer.LoadCollection(url, string.Empty);
        }
    }
}
